/*
 *  verdict.c
 *
 *  <C> Copyright 1995, Symbiotic Solutions
 *  Author: Emanuel G. Noik
 *
 *  Generate an html file from a verdict comments database.
 */

#include <stdio.h>
#include <stdlib.h>
#include "../libweb/webutil.h"

static char *header[] =
{
   "#include \"defs.h\"\n",
   "OnHeader\n - What's the verdict?\nOffHeader\n",
   "<h2>What's the Verdict?</h2>\n",
   "<p>The following is a list of comments sent to us via our comments\n",
   "form or e-mail.  If your comments appear on this page and you do not\n",
   "approve, please <a href=\"/food/comments.html\">tell us.</a><p>\n",
   0
};

static char *footer[] =
{
   "\n<p>ToolBar\n",
   "Footer\n",
   "</html>\n",
   0
};

int main()
{
   char buf[2048];
   char name[320], email[320], company[320], comments[2048], how[320];

   PrintText( header );

   while( gets( buf ) )
   {
      sscanf( buf, "\"%[^\"]\",\"%[^\"]\",\"%[^\"]\",\"%[^\"]\",\"%[^\"]\"",
      name, email, company, comments, how );

      printf( "\n<hr>\n" );
      printf( "\n<p><blockquote>%s</blockquote>\n", comments );
      printf( "%s", name );
      if ( strcmp( email, " " ) != 0 )
         printf( ", %s", email );
      if ( strcmp( company, " " ) != 0 )
         printf( "<br>%s", company );
      /*printf( "how heard : %s\n\n", how );*/
   }

   PrintText( footer );
   return 0;
}
